@echo off
CLS
:init
setlocal DisableDelayedExpansion
set "batchPath=%~0"
for %%k in (%0) do set batchName=%%~nk
set "vbsGetPrivileges=%temp%\OEgetPriv_%batchName%.vbs"
setlocal EnableDelayedExpansion

:checkPrivileges
NET FILE 1>NUL 2>NUL
if '%errorlevel%' == '0' ( goto gotPrivileges ) else ( goto getPrivileges )

:getPrivileges
if '%1'=='ELEV' (echo ELEV & shift /1 & goto gotPrivileges)

ECHO Set UAC = CreateObject^("Shell.Application"^) > "%vbsGetPrivileges%"
ECHO args = "ELEV " >> "%vbsGetPrivileges%"
ECHO For Each strArg in WScript.Arguments >> "%vbsGetPrivileges%"
ECHO args = args ^& strArg ^& " "  >> "%vbsGetPrivileges%"
ECHO Next >> "%vbsGetPrivileges%"
ECHO UAC.ShellExecute "!batchPath!", args, "", "runas", 1 >> "%vbsGetPrivileges%"
"%SystemRoot%\System32\WScript.exe" "%vbsGetPrivileges%" %*
exit /B

:gotPrivileges
setlocal & pushd .
cd /d %~dp0
if '%1'=='ELEV' (del "%vbsGetPrivileges%" 1>nul 2>nul  &  shift /1)

::::::::::::::::::::::::::::
::START
::::::::::::::::::::::::::::
Dism /online /Add-ProvisionedAppxPackage  /PackagePath:"%~dp0RtkUWP_1.2.137.0_x64\7c99eaa12abd40ac8025b98facb0d24e.appxbundle" /LicensePath:"%~dp0RtkUWP_1.2.137.0_x64\7c99eaa12abd40ac8025b98facb0d24e_License1.xml" /DependencyPackagePath:"%~dp0RtkUWP_1.2.137.0_x64\Microsoft.VCLibs.140.00_14.0.26706.0_x64__8wekyb3d8bbwe.appx" /DependencyPackagePath:"%~dp0RtkUWP_1.2.137.0_x64\Microsoft.VCLibs.140.00_14.0.26706.0_x86__8wekyb3d8bbwe.appx"